from rest_framework import serializers
from quickapi.models import Data


class DataSerializer(serializers.ModelSerializer):
    '''
        Remember to update the fields upon adding new
        fields to quickapi.models
    '''
    class Meta:
        model = Data
        fields = ('id', 'slug', 'title', 'content', 'pub_date')
